org.eclipse.viatra.addon.viewers.runtime.model

## Class ContainmentRule

- java.lang.Object
- - org.eclipse.viatra.transformation.views.core.ViewModelRule
  - - org.eclipse.viatra.addon.viewers.runtime.model.ContainmentRule

-     public class ContainmentRule
      extends ViewModelRule

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.transformation.views.core.ViewModelRule

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainmentRule(ContainmentQuerySpecificationDescriptor descriptor, ViewerState state, ViewerDataFilter filter)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Job<GenericPatternMatch>` | `getAppearedJob()`
    `Job<GenericPatternMatch>` | `getDisappearedJob()`
    `protected Job<GenericPatternMatch>` | `getUpdatedJob()`
    `static ContainmentRule` | `initiate(IQuerySpecification<?> specification, PAnnotation annotation, ViewerState state, ViewerDataFilter filter)`
    `protected EventFilter<IPatternMatch>` | `prepareFilter()`

    - ### Methods inherited from class org.eclipse.viatra.transformation.views.core.ViewModelRule

      `createRuleSpecification, getBaseSpecification, getFilter, getReferencedSpecification, getTracedSpecification, initialize, isFiltered, setFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainmentRule

          public ContainmentRule(ContainmentQuerySpecificationDescriptor descriptor,
                                 ViewerState state,
                                 ViewerDataFilter filter)

  - ### Method Detail

    - #### initiate

          public static ContainmentRule initiate(IQuerySpecification<?> specification,
                                                 PAnnotation annotation,
                                                 ViewerState state,
                                                 ViewerDataFilter filter)
                                          throws QueryInitializationException

      Throws:
        `QueryInitializationException`

    - #### getAppearedJob

          public Job<GenericPatternMatch> getAppearedJob()

      Overrides:
        `getAppearedJob` in class `ViewModelRule`

    - #### getUpdatedJob

          protected Job<GenericPatternMatch> getUpdatedJob()

      Overrides:
        `getUpdatedJob` in class `ViewModelRule`

    - #### getDisappearedJob

          public Job<GenericPatternMatch> getDisappearedJob()

      Overrides:
        `getDisappearedJob` in class `ViewModelRule`

    - #### prepareFilter

          protected EventFilter<IPatternMatch> prepareFilter()

      Specified by:
        `prepareFilter` in class `ViewModelRule`